﻿'CYTOLOGY2 サンプルコード002
'===================================================

Imports System.Windows.Forms
Imports System.Drawing

Public Class AddIn
    Private std As Std

    Private ddButtonOn As ToolStripButton
    Private ddButtonOff As ToolStripButton
    Private ddItemCheck1 As CheckBox
    Private ddItemCheck2 As CheckBox
    Private ddItemText1 As ToolStripTextBox
    Private ddLabelNow As ToolStripLabel

    Private form01 As AddInForm
    Private form01a As CheckBox()
    Private form01b As CheckBox()
    Private form01c As CheckBox()

    ''' <SUMMARY>
    ''' コンパイル後に実行される
    ''' </SUMMARY>
    ''' <REMARKS></REMARKS>
    Public Sub New()
        std = New Std()
    End Sub

    ''' <SUMMARY>
    ''' ロード時にコールされる。ツールストリップメニューの作成
    ''' </SUMMARY>
    ''' <REMARKS></REMARKS>
    Public Sub AddIn_Load()
        ddButtonInitialOn()
        ddButtonInitialOff()
        ddButtonInitial01()
        ddButtonInitial02()
    End Sub

    ''' <SUMMARY>
    ''' 停止時にコールされる。イベントハンドラの削除とフォームクローズ
    ''' </SUMMARY>
    ''' <REMARKS></REMARKS>
    Public Sub AddIn_Stop()
        RemoveHandler ddButtonOn.Click, AddressOf ddOn
        RemoveHandler ddButtonOff.Click, AddressOf ddOff
        ddButtonOn.CheckState = CheckState.Unchecked
        form01.Close()
        form01.Dispose()
    End Sub

    ''' <SUMMARY>
    ''' 開始時にコールされる。
    ''' 各インスタンス作成とON,OFFボタンのイベントハンドラ作成
    ''' </SUMMARY>
    ''' <REMARKS></REMARKS>
    Public Sub AddIn_Start()
        formInitial()
        form01.Show()
        RemoveHandler ddButtonOn.Click, AddressOf ddOn
        AddHandler ddButtonOn.Click, AddressOf ddOn
        RemoveHandler ddButtonOff.Click, AddressOf ddOff
        AddHandler ddButtonOff.Click, AddressOf ddOff
    End Sub

    ''' <SUMMARY>
    ''' ONボタン
    ''' </SUMMARY>
    ''' <PARAM name="sender"></PARAM>
    ''' <PARAM name="e"></PARAM>
    ''' <REMARKS></REMARKS>
    Private Sub ddOn(ByVal sender As System.Object, ByVal e As System.EventArgs)
        If ddButtonOn.CheckState = CheckState.Checked Then
            Exit Sub
        End If
        ddButtonOn.CheckState = CheckState.Checked
        ddLabelNow.Text = "実行中"
        'ここに実処理を記述。
    End Sub

    ''' <SUMMARY>
    ''' OFFボタン
    ''' </SUMMARY>
    ''' <PARAM name="sender"></PARAM>
    ''' <PARAM name="e"></PARAM>
    ''' <REMARKS></REMARKS>
    Private Sub ddOff(ByVal sender As System.Object, ByVal e As System.EventArgs)
        ddButtonOn.CheckState = CheckState.Unchecked
        ddLabelNow.Text = "停止中"
        'ここに終了処理を記述。
    End Sub

    Private Sub ddButtonInitialOn()
        ddButtonOn = New ToolStripButton("ON")
        ddButtonOn.CheckOnClick = False
        std.AddInMenuAddOnce(ddButtonOn)
    End Sub
    Private Sub ddButtonInitialOff()
        ddButtonOff = New ToolStripButton("OFF")
        ddButtonOff.CheckOnClick = False
        std.AddInMenuAddOnce(ddButtonOff)
    End Sub
    Private Sub ddButtonInitial01()
        Dim ddButton As ToolStripDropDownButton = New ToolStripDropDownButton("設定")
        Dim dd As ToolStripDropDownMenu = New ToolStripDropDownMenu()
        ddButton.DropDown = dd

        ddItemCheck1 = New CheckBox
        ddItemCheck1.Text = "チェック1"
        ddItemCheck1.BackColor = Color.Transparent
        Dim cHostKiHatake As ToolStripControlHost = New ToolStripControlHost(ddItemCheck1)
        dd.Items.Add(cHostKiHatake)

        ddItemCheck2 = New CheckBox
        ddItemCheck2.Text = "チェック2"
        ddItemCheck2.BackColor = Color.Transparent
        Dim cHostMizu As ToolStripControlHost = New ToolStripControlHost(ddItemCheck2)
        dd.Items.Add(cHostMizu)

        Dim ddItemSeparator As ToolStripSeparator
        ddItemSeparator = New ToolStripSeparator()
        ddItemSeparator.AutoSize = True
        dd.Items.Add(ddItemSeparator)

        Dim ddItemLabel01 As ToolStripLabel = New ToolStripLabel
        ddItemLabel01.Text = "テキストボックス1"
        dd.Items.Add(ddItemLabel01)

        ddItemText1 = New ToolStripTextBox
        ddItemText1.Text = "100"
        dd.Items.Add(ddItemText1)

        std.AddInMenuAddOnce(ddButton)
    End Sub
    Private Sub ddButtonInitial02()
        ddLabelNow = New ToolStripLabel("停止中")
        std.AddInMenuAddOnce(ddLabelNow)
    End Sub


    Private Sub formInitial()
        form01 = New AddInForm
        form01a = New CheckBox() { _
              form01.CheckS1 _
            , form01.CheckS2 _
            , form01.CheckS3 _
            , form01.CheckS4 _
            , form01.CheckS5 _
            , form01.CheckS6 _
            , form01.CheckS7 _
            , form01.CheckS8 _
            , form01.CheckS9 _
            , form01.CheckS10 _
            , form01.CheckS11 _
            , form01.CheckS12 _
            , form01.CheckS13 _
            , form01.CheckS14 _
            , form01.CheckS15 _
            , form01.CheckS16 _
            , form01.CheckS17 _
            , form01.CheckS18 _
            , form01.CheckS19 _
            , form01.CheckS20 _
            , form01.CheckS21 _
            , form01.CheckS22 _
            , form01.CheckS23 _
            , form01.CheckS24 _
            , form01.CheckS25 _
            , form01.CheckS26 _
            , form01.CheckS27 _
            , form01.CheckS28 _
            , form01.CheckS29 _
            , form01.CheckS30 _
            , form01.CheckS31 _
            , form01.CheckS32 _
            , form01.CheckS33 _
            , form01.CheckS34 _
            , form01.CheckS35 _
            , form01.CheckS36 _
        }
        form01b = New CheckBox() { _
              form01.CheckK1 _
            , form01.CheckK2 _
            , form01.CheckK3 _
            , form01.CheckK4 _
            , form01.CheckK5 _
            , form01.CheckK6 _
            , form01.CheckK7 _
            , form01.CheckK8 _
            , form01.CheckK9 _
            , form01.CheckK10 _
            , form01.CheckK11 _
            , form01.CheckK12 _
            , form01.CheckK13 _
            , form01.CheckK14 _
            , form01.CheckK15 _
            , form01.CheckK16 _
            , form01.CheckK17 _
            , form01.CheckK18 _
            , form01.CheckK19 _
            , form01.CheckK20 _
            , form01.CheckK21 _
            , form01.CheckK22 _
            , form01.CheckK23 _
            , form01.CheckK24 _
            , form01.CheckK25 _
            , form01.CheckK26 _
            , form01.CheckK27 _
            , form01.CheckK28 _
            , form01.CheckK29 _
            , form01.CheckK30 _
            , form01.CheckK31 _
            , form01.CheckK32 _
            , form01.CheckK33 _
            , form01.CheckK34 _
            , form01.CheckK35 _
            , form01.CheckK36 _
        }
        form01c = New CheckBox() { _
              form01.CheckT1 _
            , form01.CheckT2 _
            , form01.CheckT3 _
            , form01.CheckT4 _
            , form01.CheckT5 _
            , form01.CheckT6 _
            , form01.CheckT7 _
            , form01.CheckT8 _
            , form01.CheckT9 _
            , form01.CheckT10 _
            , form01.CheckT11 _
            , form01.CheckT12 _
            , form01.CheckT13 _
            , form01.CheckT14 _
            , form01.CheckT15 _
            , form01.CheckT16 _
            , form01.CheckT17 _
            , form01.CheckT18 _
        }
    End Sub

End Class
