﻿Public Class ScreenHwnd
    ''' <summary>
    ''' コンストラクタ
    ''' </summary>
    Public Sub New()
    End Sub
    ''' <summary>
    ''' スクリーン座標でのスクリーン左値
    ''' </summary>
    Public ReadOnly Property Left() As Integer
        Get
            Return 0
        End Get
    End Property
    ''' <summary>
    ''' スクリーン座標でのスクリーン上値
    ''' </summary>
    Public ReadOnly Property Top() As Integer
        Get
            Return 0
        End Get
    End Property
    ''' <summary>
    ''' スクリーン座標でのスクリーン右値
    ''' </summary>
    Public ReadOnly Property Right() As Integer
        Get
            Return 0
        End Get
    End Property
    ''' <summary>
    ''' スクリーン座標でのスクリーン下値
    ''' </summary>
    Public ReadOnly Property Bottom() As Integer
        Get
            Return 0
        End Get
    End Property
    ''' <summary>
    ''' スクリーン座標でのブラウザ左側位置
    ''' </summary>
    Public ReadOnly Property LeftBrowser() As Integer
        Get
            Return 0
        End Get
    End Property
    ''' <summary>
    ''' スクリーン座標でのブラウザ上側位置
    ''' </summary>
    Public ReadOnly Property TopBrowser() As Integer
        Get
            Return 0
        End Get
    End Property
    ''' <summary>
    ''' スクリーン座標でのブラウザ右側位置
    ''' </summary>
    Public ReadOnly Property RightBrowser() As Integer
        Get
            Return 0
        End Get
    End Property
    ''' <summary>
    ''' スクリーン座標でのブラウザ下側位置
    ''' </summary>
    Public ReadOnly Property BottomBrowser() As Integer
        Get
            Return 0
        End Get
    End Property
    ''' <summary>
    ''' ブラウザ座標でのブラウザ左側位置(常に0)
    ''' </summary>
    Public ReadOnly Property LeftClient() As Integer
        Get
            Return 0
        End Get
    End Property
    ''' <summary>
    ''' ブラウザ座標でのブラウザ上側位置(常に0)
    ''' </summary>
    Public ReadOnly Property TopClient() As Integer
        Get
            Return 0
        End Get
    End Property
    ''' <summary>
    ''' ブラウザ座標でのブラウザ右側位置(ブラウザの横幅)
    ''' </summary>
    Public ReadOnly Property RightClient() As Integer
        Get
            Return 0
        End Get
    End Property
    ''' <summary>
    ''' ブラウザ座標でのブラウザ下側位置(ブラウザの縦幅)
    ''' </summary>
    Public ReadOnly Property BottomClient() As Integer
        Get
            Return 0
        End Get
    End Property

    ''' <summary>
    ''' スクリーン座標での現在のマウスポインタ位置を保存します
    ''' </summary>
    Public Sub mStore()
    End Sub
    ''' <summary>
    ''' 現在のマウスポインタ位置をmStore()で保存したスクリーン座標値にします
    ''' </summary>
    Public Sub mRestore()
    End Sub
    ''' <summary>
    ''' 現在のマウスポインタ位置をスクリーン座標でPoint構造体で返します
    ''' </summary>
    ''' <returns>現在のマウスポインタ位置</returns>
    Public Overloads Function mPosition() As System.Drawing.Point
        Return New System.Drawing.Point(0, 0)
    End Function
    ''' <summary>
    ''' 現在のマウスポインタ位置をx,yで表されるスクリーン座標値にします
    ''' </summary>
    ''' <param name="x">X座標値</param>
    ''' <param name="y">Y座標値</param>
    Public Overloads Sub mPosition(ByVal x As Integer, ByVal y As Integer)
    End Sub
    ''' <summary>
    ''' 現在のマウスポインタ位置をPoint構造体で表されるスクリーン座標値にします
    ''' </summary>
    ''' <param name="p">座標値</param>
    Public Overloads Sub mPosition(ByVal p As System.Drawing.Point)
    End Sub
    ''' <summary>
    ''' 現在のマウスポインタ位置でマウス左ボタンクリックします
    ''' </summary>
    Public Overloads Sub mLClick()
    End Sub
    ''' <summary>
    ''' x,yで表されるスクリーン座標値にマウスポインタを移動後、マウス左ボタンクリックします
    ''' </summary>
    ''' <param name="x">X座標値</param>
    ''' <param name="y">Y座標値</param>
    Public Overloads Sub mLClick(ByVal x As Integer, ByVal y As Integer)
    End Sub
    ''' <summary>
    ''' Point構造体で表されるスクリーン座標値にマウスポインタを移動後、マウス左ボタンクリックします
    ''' </summary>
    ''' <param name="p">座標値</param>
    Public Overloads Sub mLClick(ByVal p As System.Drawing.Point)
    End Sub
    ''' <summary>
    ''' 現在のマウスポインタ位置でマウス左ボタンダウンします
    ''' </summary>
    Public Overloads Sub mLDown()
    End Sub
    ''' <summary>
    ''' x,yで表されるスクリーン座標値にマウスポインタを移動後、マウス左ボタンダウンします
    ''' </summary>
    ''' <param name="x">X座標値</param>
    ''' <param name="y">Y座標値</param>
    Public Overloads Sub mLDown(ByVal x As Integer, ByVal y As Integer)
    End Sub
    ''' <summary>
    ''' Point構造体で表されるスクリーン座標値にマウスポインタを移動後、マウス左ボタンダウンします
    ''' </summary>
    ''' <param name="p">座標値</param>
    Public Overloads Sub mLDown(ByVal p As System.Drawing.Point)
    End Sub
    ''' <summary>
    ''' 現在のマウスポインタ位置でマウス左ボタンアップします
    ''' </summary>
    Public Overloads Sub mLUp()
    End Sub
    ''' <summary>
    ''' x,yで表されるスクリーン座標値にマウスポインタを移動後、マウス左ボタンアップします
    ''' </summary>
    ''' <param name="x">X座標値</param>
    ''' <param name="y">Y座標値</param>
    Public Overloads Sub mLUp(ByVal x As Integer, ByVal y As Integer)
    End Sub
    ''' <summary>
    ''' Point構造体で表されるスクリーン座標値にマウスポインタを移動後、マウス左ボタンアップします
    ''' </summary>
    ''' <param name="p">座標値</param>
    Public Overloads Sub mLUp(ByVal p As System.Drawing.Point)
    End Sub
    ''' <summary>
    ''' 現在のマウスポインタ位置でマウス右ボタンクリックします
    ''' </summary>
    Public Overloads Sub mRClick()
    End Sub
    ''' <summary>
    ''' x,yで表されるスクリーン座標値にマウスポインタを移動後、マウス右ボタンクリックします
    ''' </summary>
    ''' <param name="x">X座標値</param>
    ''' <param name="y">Y座標値</param>
    Public Overloads Sub mRClick(ByVal x As Integer, ByVal y As Integer)
    End Sub
    ''' <summary>
    ''' Point構造体で表されるスクリーン座標値にマウスポインタを移動後、マウス右ボタンクリックします
    ''' </summary>
    ''' <param name="p">座標値</param>
    Public Overloads Sub mRClick(ByVal p As System.Drawing.Point)
    End Sub
    ''' <summary>
    ''' 現在のマウスポインタ位置でマウス右ボタンダウンします
    ''' </summary>
    Public Overloads Sub mRDown()
    End Sub
    ''' <summary>
    ''' x,yで表されるスクリーン座標値にマウスポインタを移動後、マウス右ボタンダウンします
    ''' </summary>
    ''' <param name="x">X座標値</param>
    ''' <param name="y">Y座標値</param>
    Public Overloads Sub mRDown(ByVal x As Integer, ByVal y As Integer)
    End Sub
    ''' <summary>
    ''' Point構造体で表されるスクリーン座標値にマウスポインタを移動後、マウス右ボタンダウンします
    ''' </summary>
    ''' <param name="p">座標値</param>
    Public Overloads Sub mRDown(ByVal p As System.Drawing.Point)
    End Sub
    ''' <summary>
    ''' 現在のマウスポインタ位置でマウス右ボタンアップします
    ''' </summary>
    Public Overloads Sub mRUp()
    End Sub
    ''' <summary>
    ''' x,yで表されるスクリーン座標値にマウスポインタを移動後、マウス右ボタンアップします
    ''' </summary>
    ''' <param name="x">X座標値</param>
    ''' <param name="y">Y座標値</param>
    Public Overloads Sub mRUp(ByVal x As Integer, ByVal y As Integer)
    End Sub
    ''' <summary>
    ''' Point構造体で表されるスクリーン座標値にマウスポインタを移動後、マウス右ボタンアップします
    ''' </summary>
    ''' <param name="p">座標値</param>
    Public Overloads Sub mRUp(ByVal p As System.Drawing.Point)
    End Sub
    ''' <summary>
    ''' 現在のフォーカス位置へ文字列を送信します
    ''' 送信はクリップボードを介して行われます
    ''' </summary>
    ''' <param name="textmsg">文字列</param>
    Public Overloads Sub SendText(ByVal textmsg As String)
    End Sub
    ''' <summary>
    ''' x,yで表されるスクリーン座標値にマウスポインタを移動して、
    ''' フォーカスを合わせる為にマウス左ボタンクリック後文字列を送信します
    ''' 送信はクリップボードを介して行われます
    ''' </summary>
    ''' <param name="x">X座標値</param>
    ''' <param name="y">Y座標値</param>
    ''' <param name="textmsg">文字列</param>
    Public Overloads Sub SendText(ByVal x As Integer, ByVal y As Integer, ByVal textmsg As String)
    End Sub
    ''' <summary>
    ''' Point構造体で表されるスクリーン座標値にマウスポインタを移動して、
    ''' フォーカスを合わせる為にマウス左ボタンクリック後文字列を送信します
    ''' 送信はクリップボードを介して行われます
    ''' </summary>
    ''' <param name="p">座標値</param>
    ''' <param name="textmsg">文字列</param>
    Public Overloads Sub SendText(ByVal p As System.Drawing.Point, ByVal textmsg As String)
    End Sub
    ''' <summary>
    ''' 現在のフォーカス位置へ文字列を送信します
    ''' </summary>
    ''' <param name="textmsg">文字列</param>
    Public Overloads Sub SendKey(ByVal textmsg As String)
    End Sub
    ''' <summary>
    ''' x,yで表されるスクリーン座標値にマウスポインタを移動して、
    ''' フォーカスを合わせる為にマウス左ボタンクリック後文字列を送信します
    ''' </summary>
    ''' <param name="x">X座標値</param>
    ''' <param name="y">Y座標値</param>
    ''' <param name="textmsg">文字列</param>
    Public Overloads Sub SendKey(ByVal x As Integer, ByVal y As Integer, ByVal textmsg As String)
    End Sub
    ''' <summary>
    ''' Point構造体で表されるスクリーン座標値にマウスポインタを移動して、
    ''' フォーカスを合わせる為にマウス左ボタンクリック後文字列を送信します
    ''' </summary>
    ''' <param name="p">座標値</param>
    ''' <param name="textmsg">文字列</param>
    Public Overloads Sub SendKey(ByVal p As System.Drawing.Point, ByVal textmsg As String)
    End Sub
    ''' <summary>
    ''' 現在のマウスポインタ位置の色を返します
    ''' </summary>
    ''' <returns>色値</returns>
    Public Overloads Function GetColor() As Integer
        Return 0
    End Function
    ''' <summary>
    ''' x,yで表されるスクリーン座標値の色を返します
    ''' </summary>
    ''' <param name="x">X座標値</param>
    ''' <param name="y">Y座標値</param>
    ''' <returns>色値</returns>
    Public Overloads Function GetColor(ByVal x As Integer, ByVal y As Integer) As Integer
        Return 0
    End Function
    ''' <summary>
    ''' Point構造体で表されるスクリーン座標値の色を返します
    ''' </summary>
    ''' <param name="p">座標値</param>
    ''' <returns>色値</returns>
    Public Overloads Function GetColor(ByVal p As System.Drawing.Point) As Integer
        Return 0
    End Function
    ''' <summary>
    ''' ブラウザ内を検索して、色を示す2次元配列とマッチしたスクリーン座標値をPoint構造体で返します
    ''' 見つからない場合はPoint(-1,-1)を返します
    ''' </summary>
    ''' <param name="pixArray">色を示す2次元配列</param>
    ''' <returns>スクリーン座標値</returns>
    Public Overloads Function ImageSearch(ByVal pixArray As Integer(,)) As System.Drawing.Point
        Return New System.Drawing.Point(0, 0)
    End Function
    ''' <summary>
    ''' ブラウザ内の指定した四方の幅を除く範囲を検索して
    ''' 色を示す2次元配列とマッチしたスクリーン座標値をPoint構造体で返します
    ''' 見つからない場合はPoint(-1,-1)を返します
    ''' </summary>
    ''' <param name="pixArray">色を示す2次元配列</param>
    ''' <param name="offsetLeft">左側検索除外範囲</param>
    ''' <param name="offsetTop">上側検索除外範囲</param>
    ''' <param name="offsetRight">右側検索除外範囲</param>
    ''' <param name="offsetBottom">下側検索除外範囲</param>
    ''' <returns>スクリーン座標値</returns>
    Public Overloads Function ImageSearch(ByVal pixArray As Integer(,), ByVal offsetLeft As Integer, ByVal offsetTop As Integer, ByVal offsetRight As Integer, ByVal offsetBottom As Integer) As System.Drawing.Point
        Return New System.Drawing.Point(0, 0)
    End Function
    ''' <summary>
    ''' ブラウザ内を検索して、色を示す2次元配列とマッチしたブラウザ座標値をPoint構造体で返します
    ''' 見つからない場合はPoint(-1,-1)を返します
    ''' </summary>
    ''' <param name="pixArray">色を示す2次元配列</param>
    ''' <returns>ブラウザ座標値</returns>
    Public Overloads Function ImageSearchBrowser(ByVal pixArray As Integer(,)) As System.Drawing.Point
        Return New System.Drawing.Point(0, 0)
    End Function
    ''' <summary>
    ''' ブラウザ内の指定した四方の幅を除く範囲を検索して
    ''' 色を示す2次元配列とマッチしたブラウザ座標値をPoint構造体で返します
    ''' 見つからない場合はPoint(-1,-1)を返します
    ''' </summary>
    ''' <param name="pixArray">色を示す2次元配列</param>
    ''' <param name="offsetLeft">左側検索除外範囲</param>
    ''' <param name="offsetTop">上側検索除外範囲</param>
    ''' <param name="offsetRight">右側検索除外範囲</param>
    ''' <param name="offsetBottom">下側検索除外範囲</param>
    ''' <returns>ブラウザ座標値</returns>
    Public Overloads Function ImageSearchBrowser(ByVal pixArray As Integer(,), ByVal offsetLeft As Integer, ByVal offsetTop As Integer, ByVal offsetRight As Integer, ByVal offsetBottom As Integer) As System.Drawing.Point
        Return New System.Drawing.Point(0, 0)
    End Function
    ''' <summary>
    ''' スクリーン内を検索して、色を示す2次元配列とマッチしたスクリーン座標値をPoint構造体で返します
    ''' 見つからない場合はPoint(-1,-1)を返します
    ''' </summary>
    ''' <param name="pixArray">色を示す2次元配列</param>
    ''' <returns>スクリーン座標値</returns>
    Public Overloads Function ImageSearchScreen(ByVal pixArray As Integer(,)) As System.Drawing.Point
        Return New System.Drawing.Point(0, 0)
    End Function
    ''' <summary>
    ''' スクリーン内の指定した四方の幅を除く範囲を検索して
    ''' 色を示す2次元配列とマッチしたスクリーン座標値をPoint構造体で返します
    ''' 見つからない場合はPoint(-1,-1)を返します
    ''' </summary>
    ''' <param name="pixArray">色を示す2次元配列</param>
    ''' <param name="offsetLeft">左側検索除外範囲</param>
    ''' <param name="offsetTop">上側検索除外範囲</param>
    ''' <param name="offsetRight">右側検索除外範囲</param>
    ''' <param name="offsetBottom">下側検索除外範囲</param>
    ''' <returns>スクリーン座標値</returns>
    Public Overloads Function ImageSearchScreen(ByVal pixArray As Integer(,), ByVal offsetLeft As Integer, ByVal offsetTop As Integer, ByVal offsetRight As Integer, ByVal offsetBottom As Integer) As System.Drawing.Point
        Return New System.Drawing.Point(0, 0)
    End Function
    ''' <summary>
    ''' System.Drawing.Colorで表されるRGB値を整数値で返します
    ''' </summary>
    ''' <param name="c">色値</param>
    ''' <returns>色値</returns>
    Public Function Color2Int(ByVal c As System.Drawing.Color) As Integer
        Return 0
    End Function
End Class
