﻿Public Class WebMail
    ''' <summary>
    ''' コンストラクタ
    ''' </summary>
    ''' <remarks></remarks>
    Public Sub New()
    End Sub
    ''' <summary>
    ''' コンストラクタ
    ''' </summary>
    ''' <param name="host">SMTPホスト名</param>
    ''' <param name="username">ユーザー名</param>
    ''' <param name="password">パスワード</param>
    ''' <remarks></remarks>
    Public Sub New(ByVal host As String, ByVal username As String, ByVal password As String)
    End Sub
    ''' <summary>
    ''' SMTPホスト名を設定または取得します
    ''' </summary>
    ''' <value>SMTPホスト名</value>
    ''' <returns>SMTPホスト名</returns>
    ''' <remarks></remarks>
    Public Property Host() As String
        Get
            Return ""
        End Get
        Set(value As String)
        End Set
    End Property
    ''' <summary>
    ''' 接続ユーザー名を設定または取得します
    ''' </summary>
    ''' <value>接続ユーザー名</value>
    ''' <returns>接続ユーザー名</returns>
    ''' <remarks></remarks>
    Public Property Username() As String
        Get
            Return ""
        End Get
        Set(value As String)
        End Set
    End Property
    ''' <summary>
    ''' 接続パスワードを設定または取得します
    ''' </summary>
    ''' <value>接続パスワード</value>
    ''' <returns>接続パスワード</returns>
    ''' <remarks></remarks>
    Public Property Password() As String
        Get
            Return ""
        End Get
        Set(value As String)
        End Set
    End Property
    ''' <summary>
    ''' 送信元メールアドレスを設定または取得します
    ''' </summary>
    ''' <value>送信元メールアドレス</value>
    ''' <returns>送信元メールアドレス</returns>
    ''' <remarks></remarks>
    Public Property MailFrom() As String
        Get
            Return ""
        End Get
        Set(value As String)
        End Set
    End Property
    ''' <summary>
    ''' 送信先メールアドレスを設定または取得します
    ''' </summary>
    ''' <value>送信先メールアドレス</value>
    ''' <returns>送信先メールアドレス</returns>
    ''' <remarks></remarks>
    Public Property MailTo() As String
        Get
            Return ""
        End Get
        Set(value As String)
        End Set
    End Property
    ''' <summary>
    ''' 題名を設定または取得します
    ''' </summary>
    ''' <value>題名</value>
    ''' <returns>題名</returns>
    ''' <remarks></remarks>
    Public Property Subject() As String
        Get
            Return ""
        End Get
        Set(value As String)
        End Set
    End Property
    ''' <summary>
    ''' 本文を設定または取得します
    ''' </summary>
    ''' <value>本文</value>
    ''' <returns>本文</returns>
    ''' <remarks></remarks>
    Public Property Body() As String
        Get
            Return ""
        End Get
        Set(value As String)
        End Set
    End Property
    ''' <summary>
    ''' 送信ポートを設定または取得します
    ''' </summary>
    ''' <value>送信ポート</value>
    ''' <returns>送信ポート</returns>
    ''' <remarks></remarks>
    Public Property Port() As Integer
        Get
            Return 25
        End Get
        Set(value As Integer)
        End Set
    End Property
    ''' <summary>
    ''' SMTPホスト名、ユーザー名、パスワードをセットで設定します
    ''' </summary>
    ''' <param name="host">SMTPホスト名</param>
    ''' <param name="username">接続ユーザー名</param>
    ''' <param name="password">接続パスワード</param>
    ''' <remarks></remarks>
    Public Sub SmtpClient(ByVal host As String, ByVal username As String, ByVal password As String)
    End Sub
    ''' <summary>
    ''' 送信元メールアドレス、送信先メールアドレス、題名、本文をセットで設定します
    ''' </summary>
    ''' <param name="mailfrom">送信元メールアドレス</param>
    ''' <param name="mailto">送信先メールアドレス</param>
    ''' <param name="subject">題名</param>
    ''' <param name="body">本文</param>
    ''' <remarks></remarks>
    Public Sub MailMessage(ByVal mailfrom As String, ByVal mailto As String, ByVal subject As String, ByVal body As String)
    End Sub
    ''' <summary>
    ''' メール送信します
    ''' </summary>
    ''' <returns>成功時はTrue。失敗時はFalse</returns>
    ''' <remarks></remarks>
    Public Function Send() As Boolean
        Return False
    End Function
End Class
